# Mashroom Account

The Account service is intended to store user accounts and provide API methods to manipulate them.

## GRPC API

Method | Scope | Description
-|-|-
`Verify` | | Validates `Account` model
`Create` | | Creates a new account (with validation)
`Update` | | Updates an existing account (with validation)
`UpdateLastLogin` | | Updates the last login time for an account
`Get` | | Finds and returns an account by ID
`GetByEmail` | | Finds and returns an account by email
`GetByPhone` | | Finds and returns an account by phone number
`Favorite` | | Adds objects (Property) to the account's favorites list
`Unfavorite` | | Removes objects (Property) from the account's favorites list
`DeleteDocument` | | Removes account avatar (?)
`ChangeBankDetails` | | Changes the bank details of the account (with verification by OTP)
`ListFilter` | | Returns a filtered list of accounts
`ServiceList` | Internal | Returns a list of accounts
`ServiceUpdate` | Internal | Updates an existing account (with validation)
`ServiceDelete` | Internal | Destroys an existing account
`ServiceResourcesUpdate` | Internal | Updates the account resource (OwnedProperties, ViewingRequests) associations
`Block` | | Blocks an account
`DeleteAccount` | | Marks an account as deleted
`RestoreAccount` | | Marks an account as existing (not deleted)
`AddConfirmation` | | Updates account confirmation data
`DownloadUsersCsv` | | Generates CSV file with a filtered list of accounts and uploads it to the Document service
`UpdateWistiaCollection` | Internal | Sync wistia videos list, called regularly from schedule service
`WistiaVideoViewed` | | Mark wistia video as viewed for provided account
`ListWistiaVideos` | | List available wistia videos 

(TODO: a more detailed description of the methods is needed)

## GRPC coupling

Service | Use
-|-
Notification | Notification event sending from `Favorite` API method
Invitation | Invitations store
Property | Properties (houses, apartments etc.) store
Offer | Offers store
Document | Used by `DownloadUsersCsv` API method to store CSV file

## Databases

DBMS | Extensions
-|-
MongoDB | none
  
Access abstraction: none.  
Migrations: "v0" schema version w/o any migrations is applied at service startup.  

Database models are coupled to the generated GRPC data structures.  

## Observability

N/A

## Notes
