//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. -I .:vendor/gitlab.mashroom.com/mashroom/backend mashroom_account.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mockaccount -destination=mock/client.go . AccountServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package account - api definition
package account // import "gitlab.mashroom.com/mashroom/backend/account/api"

import (
	// generic proto
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic"
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic/query"
	_ "gitlab.mashroom.com/mashroom/backend/common/api/protobuf"
)
