// Package connections provides datatypes for external services connections
package connections

import (
	closecom "gitlab.mashroom.com/mashroom/backend/closecom/api"
	document "gitlab.mashroom.com/mashroom/backend/document/api"
	invitation "gitlab.mashroom.com/mashroom/backend/invitation/api"
	listing "gitlab.mashroom.com/mashroom/backend/listing/api"
	notification "gitlab.mashroom.com/mashroom/backend/notification/api"
	offer "gitlab.mashroom.com/mashroom/backend/offer/api"
	"gitlab.mashroom.com/mashroom/backend/offer/api/rto"
	viewing "gitlab.mashroom.com/mashroom/backend/viewing/api"
)

// Connections for external services
type Connections struct {
	Invitation   invitation.InvitationServiceClient
	Listing      listing.ListingServiceClient
	Offer        offer.OfferServiceClient
	Rto          rto.RtoServiceClient
	Notification notification.NotificationServiceClient
	Document     document.DocumentServiceClient
	Closecom     closecom.ClosecomServiceClient
	Viewing      viewing.ViewingServiceClient
}
