package connections

import (
	"context"

	"gitlab.mashroom.com/mashroom/backend/common/generic/migrations"
	migrationsMongo "gitlab.mashroom.com/mashroom/backend/common/generic/migrations/mongo"
	"go.mongodb.org/mongo-driver/mongo"
)

// MongoDataMigrationFunc migration helper func
type MongoDataMigrationFunc func(conn *Connections) *migrations.DataMigration

// MongoDataMigrationStartFunc migration execution helper func
type MongoDataMigrationStartFunc func(
	ctx context.Context,
	db *mongo.Database,
	conn *Connections,
	migrationID string,
) (affected int, err error)

// MongoDataMigrationStart wrapper for mongo migration func
func MongoDataMigrationStart(
	conn *Connections,
	f MongoDataMigrationStartFunc,
) migrationsMongo.MigrationUpFunc {
	return func(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
		return f(ctx, db, conn, migrationID)
	}
}
