// Package data provides data migrations
package data

import (
	"gitlab.mashroom.com/mashroom/backend/account/internal/connections"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model/mongo/migrations/data/d1v0000"
	"gitlab.mashroom.com/mashroom/backend/common/generic/migrations"
)

var currentMigrationList = []connections.MongoDataMigrationFunc{
	d1v0000.Migration(),
}

// Migrations returns migration lists initialized with provided connections
func Migrations(connections *connections.Connections) (list []*migrations.DataMigration) {
	for _, m := range currentMigrationList {
		list = append(list, m(connections))
	}

	return
}
