// Package v11 provides migration for mongo repository
package v11

import (
	"context"
	"time"

	"github.com/google/uuid"

	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("veriff")
	id := primitive.NewObjectID().Hex()
	_, err := col.InsertOne(ctx, &model.VeriffSession{
		FirstName:  "Donald",
		AccountID:  id,
		Status:     "approved",
		SessionID:  primitive.NewObjectID().Hex(),
		Code:       9001,
		Reason:     "v10",
		URL:        "https://trump.com",
		VendorData: uuid.New().String(),
		ReasonCode: 0,
		CreatedAt:  time.Now(),
		IsAdmin:    true,
	})

	if err != nil {
		return -1, err
	}

	return -1, nil
}
