// Package v13 provides migration for mongo repository
package v13

import (
	"context"
	"time"

	"github.com/google/uuid"

	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("veriff")
	_, err := col.InsertOne(ctx, &model.VeriffSession{
		FirstName:  "Duke",
		LastName:   "Nicolas",
		AccountID:  primitive.NewObjectID().Hex(),
		AdminID:    primitive.NewObjectID().Hex(),
		Status:     "approved",
		SessionID:  primitive.NewObjectID().Hex(),
		Code:       9001,
		Reason:     "v13",
		URL:        "https://nicolasthesecond.com",
		Documents:  []string{"list of documents"},
		Notes:      "some notes",
		VendorData: uuid.New().String(),
		ReasonCode: 0,
		CreatedAt:  time.Now(),
		IsAdmin:    true,
	})

	if err != nil {
		return -1, err
	}

	return -1, nil
}
