// Package v14 provides migration for mongo repository
package v14

import (
	"context"
	"time"

	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("ownership")
	_, err := col.InsertOne(ctx, &model.OwnershipVerification{
		OwnershipID:  primitive.NewObjectID().Hex(),
		AccountID:    primitive.NewObjectID().Hex(),
		PropertyID:   primitive.NewObjectID().Hex(),
		VerifiedByID: primitive.NewObjectID().Hex(),
		FirstName:    "Test",
		LastName:     "Test",
		IsCompany:    false,
		IsPurchased:  false,
		CompanyName:  "Test",
		Status:       "Test",
		Notes:        "Test",
		DocumentIDs:  []string{"list of documents"},
		CreatedAt:    time.Now(),
		UpdatedAt:    time.Now(),
	})

	if err != nil {
		return -1, err
	}

	return -1, nil
}
