// Package v3 provides migration for mongo repository
package v3

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	accs := db.Collection("accounts")

	_, err := accs.UpdateMany(
		ctx,
		bson.M{"admin": bson.M{"$ne": true}},
		bson.A{
			bson.M{"$set": bson.M{
				"bank_details.account_name": bson.M{
					"$trim": bson.M{
						"input": bson.M{"$concat": bson.A{"$details.first_name", " ", "$details.last_name"}},
					},
				},
			}},
		},
	)

	return -1, err
}
