// Package v4 provides migration for mongo repository
package v4

import (
	"context"
	"time"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("accounts")
	_, err := col.InsertOne(ctx, &model.Account{
		Location:            model.AccountLocation{},
		Details:             model.AccountDetails{},
		CreatedAt:           time.Now(),
		LastLogin:           time.Now(),
		TosVersion:          888888888888,
		ViewedVideosIDs:     []int32{11, 99, 111},
		Admin:               false,
		Block:               false,
		Test:                false,
		EntryPoint:          account.EntryPoint_ENTRY_POINT_UNKNOWN,
		AuthorizationOrigin: account.AuthorizationOrigin_AUTHORIZATION_ORIGIN_UNKNOWN,
	})

	if err != nil {
		return -1, err
	}

	return -1, nil
}
