// Package v5 provides migration for mongo repository
package v5

import (
	"context"
	"time"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("accounts_history")
	id := primitive.NewObjectID().Hex()
	_, err := col.InsertOne(ctx, &model.AccountHistory{
		AccountID:           id,
		Action:              "create",
		Location:            model.AccountLocation{},
		Details:             model.AccountDetails{},
		CreatedAt:           time.Now(),
		UpdatedAt:           time.Now(),
		LastLogin:           time.Now(),
		TosVersion:          11111111,
		ViewedVideosIDs:     []int32{33, 77, 888},
		Admin:               false,
		Block:               false,
		Test:                false,
		EntryPoint:          account.EntryPoint_ENTRY_POINT_UNKNOWN,
		AuthorizationOrigin: account.AuthorizationOrigin_AUTHORIZATION_ORIGIN_UNKNOWN,
	})

	if err != nil {
		return -1, err
	}

	return -1, nil
}
