// Package v9 provides migration for mongo repository
package v9

import (
	"context"
	"time"

	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("veriff")
	id := primitive.NewObjectID().Hex()
	_, err := col.InsertOne(ctx, &model.VeriffSession{
		FirstName:  "John",
		AccountID:  id,
		Status:     "declined",
		SessionID:  primitive.NewObjectID().Hex(),
		Code:       9001,
		Reason:     "v9 reason",
		URL:        "https://url.sample.com",
		ReasonCode: 0,
		CreatedAt:  time.Now(),
		IsAdmin:    false,
	})

	if err != nil {
		return -1, err
	}

	return -1, nil
}
