package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// OwnershipVerification model
type OwnershipVerification struct {
	DocumentIDs  []string           `bson:"document_ids,omitempty"`
	CreatedAt    time.Time          `bson:"created_at,omitempty"`
	UpdatedAt    time.Time          `bson:"updated_at,omitempty"`
	OwnershipID  string             `bson:"ownership_id,omitempty"`
	PropertyID   string             `bson:"property_id,omitempty"`
	AccountID    string             `bson:"account_id,omitempty"`
	VerifiedByID string             `bson:"verified_by_id,omitempty"`
	FirstName    string             `bson:"first_name,omitempty"`
	LastName     string             `bson:"last_name,omitempty"`
	Status       string             `bson:"status,omitempty"`
	CompanyName  string             `bson:"company_name,omitempty"`
	Notes        string             `bson:"notes,omitempty"`
	ID           primitive.ObjectID `bson:"_id,omitempty"`
	IsCompany    bool               `bson:"is_company,omitempty"`
	IsPurchased  bool               `bson:"is_purchased,omitempty"`
}
