package model

import "time"

// WistiaVideo external video/story repository reference
type WistiaVideo struct {
	ID          int32                `json:"id" bson:"_id,omitempty"`
	Name        string               `json:"name" bson:"name"`
	Type        string               `json:"type" bson:"type"`
	Created     time.Time            `json:"created" bson:"created"`
	Updated     time.Time            `json:"updated" bson:"updated"`
	Duration    float64              `json:"duration" bson:"duration"`
	HashedID    string               `json:"hashed_id" bson:"hashed_id"`
	Description string               `json:"description" bson:"description"`
	Status      string               `json:"status" bson:"status"`
	Thumbnail   WistiaVideoThumbnail `json:"thumbnail" bson:"thumbnail"`
	Project     WistiaVideoProject   `json:"project" bson:"project"`
}

// WistiaVideoThumbnail thumbnail details
type WistiaVideoThumbnail struct {
	URL    string `json:"url"`
	Width  int32  `json:"width"`
	Height int32  `json:"height"`
}

// WistiaVideoProject project details
type WistiaVideoProject struct {
	ID       int32  `json:"id"`
	Name     string `json:"name"`
	HashedID string `json:"hashed_id"`
}
