package test

import (
	"errors"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
)

func (s *serviceSuite) TestAccountBlock_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountUpdateBlock(s.testCtx, id, true).Return(nil)

	var resp, err = s.srv.Block(s.testCtx, &account.BlockRequest{
		Id:    id,
		Block: true,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountBlock_error() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountUpdateBlock(s.testCtx, id, true).Return(errors.New("someerr"))

	var resp, err = s.srv.Block(s.testCtx, &account.BlockRequest{
		Id:    id,
		Block: true,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
