package test

import (
	"errors"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
)

func (s *serviceSuite) TestAccountGetByEmail_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountGetByEmailAdmin(s.testCtx, "abc@abc.abc", false).Return(
		&model.Account{
			ID: id,
		},
		nil,
	)

	resp, err := s.srv.GetByEmail(s.testCtx, &account.GetByEmailRequest{
		Email: "abc@abc.abc",
		Admin: false,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountGetByEmail_error() {
	s.repo.EXPECT().AccountGetByEmailAdmin(s.testCtx, "abc@abc.abc", false).Return(
		nil,
		errors.New("somerr"),
	)

	resp, err := s.srv.GetByEmail(s.testCtx, &account.GetByEmailRequest{
		Email: "abc@abc.abc",
		Admin: false,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
