package test

import (
	"errors"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
)

func (s *serviceSuite) TestAccountGetByPhone_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountGetByPhoneAdmin(s.testCtx, "123", false).Return(
		&model.Account{
			ID: id,
		},
		nil,
	)

	resp, err := s.srv.GetByPhone(s.testCtx, &account.GetByPhoneRequest{
		Phone: "123",
		Admin: false,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountGetByPhone_error() {
	s.repo.EXPECT().AccountGetByPhoneAdmin(s.testCtx, "123", false).Return(
		nil,
		errors.New("somerr"),
	)

	resp, err := s.srv.GetByPhone(s.testCtx, &account.GetByPhoneRequest{
		Phone: "123",
		Admin: false,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
