package test

import (
	"errors"
	"time"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
)

func (s *serviceSuite) TestAccountGet_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountGetByIDAdmin(s.testCtx, id, false, false).Return(
		&model.Account{
			ID: id,
			Log: []*model.AccountLog{
				{
					Action: "",
					Dt:     time.Time{},
					User:   "",
				},
			},
		},
		nil,
	)

	resp, err := s.srv.Get(s.testCtx, &account.GetRequest{
		Id:    id,
		Admin: false,
		Soft:  false,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountGet_error() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountGetByIDAdmin(s.testCtx, id, false, false).Return(
		nil,
		errors.New("somerr"),
	)

	resp, err := s.srv.Get(s.testCtx, &account.GetRequest{
		Id: id,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
