package test

import (
	"errors"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
)

func (s *serviceSuite) TestAccountRestoreAccount_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountReactivate(s.testCtx, id, "actor").Return(nil)

	var resp, err = s.srv.RestoreAccount(s.testCtx, &account.RestoreAccountRequest{
		Id:   id,
		User: "actor",
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountRestoreAccount_error() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountReactivate(s.testCtx, id, "actor").Return(errors.New("someerr"))

	var resp, err = s.srv.RestoreAccount(s.testCtx, &account.RestoreAccountRequest{
		Id:   id,
		User: "actor",
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
