package test

import (
	"errors"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
)

func (s *serviceSuite) TestAccountServiceDelete_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountDelete(s.testCtx, id).Return(nil)

	resp, err := s.srv.ServiceDelete(s.testCtx, &account.ServiceDeleteRequest{
		Id: id,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountServiceDelete_error() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountDelete(s.testCtx, id).Return(errors.New("someerr"))

	resp, err := s.srv.ServiceDelete(s.testCtx, &account.ServiceDeleteRequest{
		Id: id,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
