package test

import (
	"errors"

	account "gitlab.mashroom.com/mashroom/backend/account/api"
)

func (s *serviceSuite) TestAccountUpdateLastLogin_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountUpdateLastLogin(s.testCtx, id).Return(nil)

	resp, err := s.srv.UpdateLastLogin(s.testCtx, &account.UpdateLastLoginRequest{
		Id: id,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAccountUpdateLastLogin_error() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountUpdateLastLogin(s.testCtx, id).Return(errors.New("somerr"))

	resp, err := s.srv.UpdateLastLogin(s.testCtx, &account.UpdateLastLoginRequest{
		Id: id,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
