package test

import (
	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
)

func (s *serviceSuite) TestWistiaListVideos_ok_webinars() {
	s.repo.EXPECT().WistiaVideoListByProjectID(s.testCtx, int32(114514)).Return(
		[]*model.WistiaVideo{
			{
				ID: 123,
				Project: model.WistiaVideoProject{
					ID: 114514,
				},
			},
			{
				ID: 456,
				Project: model.WistiaVideoProject{
					ID: 114514,
				},
			},
		},
		nil,
	)

	var resp, err = s.srv.ListWistiaVideos(s.testCtx, &account.ListWistiaVideosRequest{
		Type: account.WistiaProjectType_WISTIA_PROJECT_TYPE_WEBINARS,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)

	s.Require().Len(resp.GetWistiaVideos(), 2)
}

func (s *serviceSuite) TestWistiaListVideos_ok_howto() {
	s.repo.EXPECT().WistiaVideoListByProjectID(s.testCtx, int32(191919)).Return(
		[]*model.WistiaVideo{
			{
				ID: 123,
				Project: model.WistiaVideoProject{
					ID: 191919,
				},
			},
			{
				ID: 456,
				Project: model.WistiaVideoProject{
					ID: 191919,
				},
			},
		},
		nil,
	)

	var resp, err = s.srv.ListWistiaVideos(s.testCtx, &account.ListWistiaVideosRequest{
		Type: account.WistiaProjectType_WISTIA_PROJECT_TYPE_HOW_TO,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)

	s.Require().Len(resp.GetWistiaVideos(), 2)
}
