package test

import (
	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
)

func (s *serviceSuite) TestWistiaUpdateWistiaCollection_ok() {
	vs, _ := s.testCtx.Value(contextWistiaVideosKey).(*[]*model.WistiaVideo)

	if vs != nil {
		*vs = []*model.WistiaVideo{
			{
				ID: 234,
			},
			{
				ID: 345,
			},
		}
	}

	s.repo.EXPECT().WistiaVideoListByProjectID(s.testCtx, int32(114514)).Return(
		[]*model.WistiaVideo{
			{
				ID: 123,
			},
			{
				ID: 234,
			},
		},
		nil,
	)

	s.repo.EXPECT().WistiaVideoSave(s.testCtx, &model.WistiaVideo{
		ID: 234,
	})

	s.repo.EXPECT().WistiaVideoSave(s.testCtx, &model.WistiaVideo{
		ID: 345,
	})

	s.repo.EXPECT().WistiaVideoDelete(s.testCtx, []int32{123}, int32(114514))

	s.repo.EXPECT().WistiaVideoListByProjectID(s.testCtx, int32(191919)).Return(
		[]*model.WistiaVideo{
			{
				ID: 234,
			},
			{
				ID: 345,
			},
		},
		nil,
	)

	s.repo.EXPECT().WistiaVideoSave(s.testCtx, &model.WistiaVideo{
		ID: 234,
	})

	s.repo.EXPECT().WistiaVideoSave(s.testCtx, &model.WistiaVideo{
		ID: 345,
	})

	var resp, err = s.srv.UpdateWistiaCollection(s.testCtx, &account.UpdateWistiaCollectionRequest{})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}
