package test

import (
	account "gitlab.mashroom.com/mashroom/backend/account/api"
	"gitlab.mashroom.com/mashroom/backend/account/internal/model"
)

func (s *serviceSuite) TestWistiaVideoViewed_ok() {
	id := "000000000000000000000001"

	s.repo.EXPECT().AccountGetByID(s.testCtx, id).Return(&model.Account{
		ID: id,
	}, nil)

	s.repo.EXPECT().AccountUpdate(s.testCtx, &model.Account{
		ID:              id,
		ViewedVideosIDs: []int32{123},
	}).Return(nil)

	var resp, err = s.srv.WistiaVideoViewed(s.testCtx, &account.WistiaVideoViewedRequest{
		VideoId: 123,
		UserId:  id,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}
