// Package util provides utility functions for account service
package util

import (
	"fmt"
	"regexp"

	"github.com/ttacon/libphonenumber"
)

var nonDigitReplace = regexp.MustCompile(`[^0-9]`)

// NormalizePhoneNumber returns phone number normalized to E.164 format without leading plus sign
func NormalizePhoneNumber(inp string) string {
	inp = nonDigitReplace.ReplaceAllString(inp, "")

	parsed, err := libphonenumber.Parse("+"+inp, libphonenumber.UNKNOWN_REGION)
	if err != nil {
		return inp
	}

	return fmt.Sprintf("%d%d", parsed.GetCountryCode(), parsed.GetNationalNumber())
}
