#!/usr/bin/env bash

container_address() {
    query=".[0].Containers[] | select(.Name==\"account_$1_1\").IPv4Address | sub(\"/.*$\"; \"\")"
    docker network inspect mashroom | jq -r "${query}"
}

elastic_host=$(container_address "elasticsearch")
mongodb_host=$(container_address "mongodb")

echo mongo ${mongodb_host}
echo elastic ${elastic_host}

MONGO_URL="$mongodb_host:27017" ELASTIC_URL="http://$elastic_host:9200" go run $*
